<?php

// -----------------------------------------------------------------------
// This file is part of AROUNDMe
//
// Copyright (C) 2003 - 2007 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
// 02110-1301, USA.
// -----------------------------------------------------------------------

$menu_section = "me";


if (!isset($_SESSION['md5'])) {
	header("Location: index.php?http_referer=" . urlencode($_SERVER['REQUEST_URI']) . "&" . strip_tags(SID));
	exit;
}

// get user statistics
require_once('class/Statistic.class.php');
$statistic = new Statistic($db, $core_config['statistic']);

$statistic->module_id = 0; // core
$statistic->item_id = $_SESSION['user_id'];
$output_statistics['user'] = $statistic->selStatistics();

$body->set('statistics', $output_statistics);


// get user ledger ------------------------------------------------------
if (isset($_SESSION['user_id']) && $core_config['user']['include_ledger'] == 1) {
	include_once('components/core/class/UserLedger.class.php');
	$legder = new UserLedger($db, $core_config);
	$output_legder = $legder->selUserLedger($_SESSION['user_id']);

	if (!empty($output_legder)) {
		$body->set('legder', $output_legder);
	}

	include_once ($language_path . "/inc/user_ledger.inc.php");
}

?>